# Antrea Governance

This document defines the project governance for Antrea.

This is a Work in Progress, documenting approximately how we plan to operate the
project.

## Overview

**Antrea** is committed to building an open, inclusive, productive and
self-governing open source community focused on building a high-quality
[Kubernetes Network
Plugin](https://kubernetes.io/docs/concepts/extend-kubernetes/compute-storage-net/network-plugins/). The
community is governed by this document which defines how all members should work
together to achieve this goal.

## Code of Conduct

The Antrea community abides by this [code of conduct](CODE_OF_CONDUCT.md).

## Community Roles

* **Users:** Members that engage with the Antrea community via any medium
  (Slack, GitHub, mailing lists, etc.).
* **Contributors:** Do regular contributions to the Antrea project
  (documentation, code reviews, responding to issues, participating in proposal
  discussions, contributing code, etc.).
* **Maintainers**: Responsible for the overall health and direction of the
  project. They are the final reviewers of PRs and responsible for Antrea
  releases.

### Contributors

Anyone can contribute to the project (e.g. open a PR) as long as they follow the
guidelines in [CONTRIBUTING.md](CONTRIBUTING.md).

### Maintainers

The list of current maintainers can be found in
[MAINTAINERS.md](MAINTAINERS.md).

Maintainers have write access to the repository. While anyone can review a PR -
and is welcome to do so -, only maintainers can leave an approving review, which
will allow the PR to be merged.

New maintainers must be nominated from contributors by an existing maintainer
and must be elected by a [supermajority](#supermajority) of the current
maintainers. Likewise, maintainers can be removed by a supermajority of the
maintainers or can resign by notifying the maintainers.

### Supermajority

A supermajority is defined as two-thirds of members in the group.

## Updating Governance

All substantive changes in Governance require a supermajority vote of the
maintainers.
