// Copyright 2019 Antrea Authors
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

// Code generated by MockGen. DO NOT EDIT.
// Source: github.com/vmware-tanzu/antrea/pkg/monitor (interfaces: AgentQuerier,ControllerQuerier)

// Package testing is a generated GoMock package.
package testing

import (
	gomock "github.com/golang/mock/gomock"
	v1beta1 "github.com/vmware-tanzu/antrea/pkg/apis/clusterinformation/v1beta1"
	v1 "k8s.io/api/core/v1"
	reflect "reflect"
)

// MockAgentQuerier is a mock of AgentQuerier interface
type MockAgentQuerier struct {
	ctrl     *gomock.Controller
	recorder *MockAgentQuerierMockRecorder
}

// MockAgentQuerierMockRecorder is the mock recorder for MockAgentQuerier
type MockAgentQuerierMockRecorder struct {
	mock *MockAgentQuerier
}

// NewMockAgentQuerier creates a new mock instance
func NewMockAgentQuerier(ctrl *gomock.Controller) *MockAgentQuerier {
	mock := &MockAgentQuerier{ctrl: ctrl}
	mock.recorder = &MockAgentQuerierMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use
func (m *MockAgentQuerier) EXPECT() *MockAgentQuerierMockRecorder {
	return m.recorder
}

// GetAgentInfo mocks base method
func (m *MockAgentQuerier) GetAgentInfo() *v1beta1.AntreaAgentInfo {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetAgentInfo")
	ret0, _ := ret[0].(*v1beta1.AntreaAgentInfo)
	return ret0
}

// GetAgentInfo indicates an expected call of GetAgentInfo
func (mr *MockAgentQuerierMockRecorder) GetAgentInfo() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetAgentInfo", reflect.TypeOf((*MockAgentQuerier)(nil).GetAgentInfo))
}

// GetLocalPodNum mocks base method
func (m *MockAgentQuerier) GetLocalPodNum() int32 {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetLocalPodNum")
	ret0, _ := ret[0].(int32)
	return ret0
}

// GetLocalPodNum indicates an expected call of GetLocalPodNum
func (mr *MockAgentQuerierMockRecorder) GetLocalPodNum() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetLocalPodNum", reflect.TypeOf((*MockAgentQuerier)(nil).GetLocalPodNum))
}

// GetNetworkPolicyControllerInfo mocks base method
func (m *MockAgentQuerier) GetNetworkPolicyControllerInfo() v1beta1.NetworkPolicyControllerInfo {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetNetworkPolicyControllerInfo")
	ret0, _ := ret[0].(v1beta1.NetworkPolicyControllerInfo)
	return ret0
}

// GetNetworkPolicyControllerInfo indicates an expected call of GetNetworkPolicyControllerInfo
func (mr *MockAgentQuerierMockRecorder) GetNetworkPolicyControllerInfo() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetNetworkPolicyControllerInfo", reflect.TypeOf((*MockAgentQuerier)(nil).GetNetworkPolicyControllerInfo))
}

// GetOVSFlowTable mocks base method
func (m *MockAgentQuerier) GetOVSFlowTable() map[string]int32 {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetOVSFlowTable")
	ret0, _ := ret[0].(map[string]int32)
	return ret0
}

// GetOVSFlowTable indicates an expected call of GetOVSFlowTable
func (mr *MockAgentQuerierMockRecorder) GetOVSFlowTable() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetOVSFlowTable", reflect.TypeOf((*MockAgentQuerier)(nil).GetOVSFlowTable))
}

// GetSelfNode mocks base method
func (m *MockAgentQuerier) GetSelfNode() v1.ObjectReference {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetSelfNode")
	ret0, _ := ret[0].(v1.ObjectReference)
	return ret0
}

// GetSelfNode indicates an expected call of GetSelfNode
func (mr *MockAgentQuerierMockRecorder) GetSelfNode() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetSelfNode", reflect.TypeOf((*MockAgentQuerier)(nil).GetSelfNode))
}

// GetSelfPod mocks base method
func (m *MockAgentQuerier) GetSelfPod() v1.ObjectReference {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetSelfPod")
	ret0, _ := ret[0].(v1.ObjectReference)
	return ret0
}

// GetSelfPod indicates an expected call of GetSelfPod
func (mr *MockAgentQuerierMockRecorder) GetSelfPod() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetSelfPod", reflect.TypeOf((*MockAgentQuerier)(nil).GetSelfPod))
}

// GetVersion mocks base method
func (m *MockAgentQuerier) GetVersion() string {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetVersion")
	ret0, _ := ret[0].(string)
	return ret0
}

// GetVersion indicates an expected call of GetVersion
func (mr *MockAgentQuerierMockRecorder) GetVersion() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetVersion", reflect.TypeOf((*MockAgentQuerier)(nil).GetVersion))
}

// MockControllerQuerier is a mock of ControllerQuerier interface
type MockControllerQuerier struct {
	ctrl     *gomock.Controller
	recorder *MockControllerQuerierMockRecorder
}

// MockControllerQuerierMockRecorder is the mock recorder for MockControllerQuerier
type MockControllerQuerierMockRecorder struct {
	mock *MockControllerQuerier
}

// NewMockControllerQuerier creates a new mock instance
func NewMockControllerQuerier(ctrl *gomock.Controller) *MockControllerQuerier {
	mock := &MockControllerQuerier{ctrl: ctrl}
	mock.recorder = &MockControllerQuerierMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use
func (m *MockControllerQuerier) EXPECT() *MockControllerQuerierMockRecorder {
	return m.recorder
}

// GetNetworkPolicyControllerInfo mocks base method
func (m *MockControllerQuerier) GetNetworkPolicyControllerInfo() v1beta1.NetworkPolicyControllerInfo {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetNetworkPolicyControllerInfo")
	ret0, _ := ret[0].(v1beta1.NetworkPolicyControllerInfo)
	return ret0
}

// GetNetworkPolicyControllerInfo indicates an expected call of GetNetworkPolicyControllerInfo
func (mr *MockControllerQuerierMockRecorder) GetNetworkPolicyControllerInfo() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetNetworkPolicyControllerInfo", reflect.TypeOf((*MockControllerQuerier)(nil).GetNetworkPolicyControllerInfo))
}

// GetSelfNode mocks base method
func (m *MockControllerQuerier) GetSelfNode() v1.ObjectReference {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetSelfNode")
	ret0, _ := ret[0].(v1.ObjectReference)
	return ret0
}

// GetSelfNode indicates an expected call of GetSelfNode
func (mr *MockControllerQuerierMockRecorder) GetSelfNode() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetSelfNode", reflect.TypeOf((*MockControllerQuerier)(nil).GetSelfNode))
}

// GetSelfPod mocks base method
func (m *MockControllerQuerier) GetSelfPod() v1.ObjectReference {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetSelfPod")
	ret0, _ := ret[0].(v1.ObjectReference)
	return ret0
}

// GetSelfPod indicates an expected call of GetSelfPod
func (mr *MockControllerQuerierMockRecorder) GetSelfPod() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetSelfPod", reflect.TypeOf((*MockControllerQuerier)(nil).GetSelfPod))
}

// GetService mocks base method
func (m *MockControllerQuerier) GetService() v1.ObjectReference {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetService")
	ret0, _ := ret[0].(v1.ObjectReference)
	return ret0
}

// GetService indicates an expected call of GetService
func (mr *MockControllerQuerierMockRecorder) GetService() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetService", reflect.TypeOf((*MockControllerQuerier)(nil).GetService))
}

// GetVersion mocks base method
func (m *MockControllerQuerier) GetVersion() string {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetVersion")
	ret0, _ := ret[0].(string)
	return ret0
}

// GetVersion indicates an expected call of GetVersion
func (mr *MockControllerQuerierMockRecorder) GetVersion() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetVersion", reflect.TypeOf((*MockControllerQuerier)(nil).GetVersion))
}
